<?php $__env->startSection('conteudo'); ?>
    <h4>
        <span class="material-icons icone">style</span> Lista de Cartões
        <a href="#" class="float-right text-danger" data-toggle="modal" data-target="#modal" onclick="lerQrCode()">
            <span class="material-icons" style="font-size: 40px;">qr_code_scanner</span>
        </a>
    </h4>
    <br>
    <?php if(session('sucesso')): ?>
        <div class="alert alert-success">
        <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        <?php echo e(session('sucesso')); ?>

        </div>
    <?php endif; ?>
    <?php if(session('error')): ?>
        <div class="alert alert-danger">
        <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        <?php echo e(session('error')); ?>

        </div>
    <?php endif; ?>

    <?php if($cartoes->count() > 0): ?>
        <div class="list-group">
            <?php $__currentLoopData = $cartoes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $i => $cartao): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <a href="<?php echo e(url('cartao/edit/'.$cartao->id)); ?>" class="list-group-item">
                    <div class="float-right" id="view-qrcode-<?php echo e($i+1); ?>" class="list-group-item-text"></div>
                    
                    <div class="float-left" style="float: left; color: #666; font-size: 18px;"><strong><?php echo e($cartao->codigo); ?></strong></div>
                    <div class="float-left" style="clear: both; color: #666; font-size: 12px;">Criado em <strong><?php echo e(date('d/m/y', strtotime($cartao->data))); ?></strong></div>
                    <span style="clear: both; font-size: 12px;" class="float-left badge <?php echo e(($cartao->fk_situacao===1 ? 'badge-info' : ($cartao->fk_situacao===2 ? 'badge-success' : 'badge-danger'))); ?>" style="font-size: 17px;"><?php echo e($cartao->situacao->nome); ?></span>
                    

                    <!--
                    <div class="btn-group float-right" role="group" style="margin-top: -4em;">
                        <i class="material-icons">keyboard_arrow_right</i>
                    </div>
                    -->
                </a>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </div>
    <?php else: ?>
        <div class="alert alert-info">Nenhum cartão cadastrado.</div>
    <?php endif; ?>

    <a href="<?php echo e(url('cartao/create')); ?>" class="btn btn-primary  btn-circulo btn-flutuante" title="Cadastrar Cartão">
        <i class="material-icons icone" style="font-size: 2em;">add</i>
    </a>      

    <!-- Modal -->
    <div id="modal" class="modal fade" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">
                        <span class="material-icons" style="font-size: 30px;">qr_code_scanner</span>  Aproxime o cartão
                    </h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close" onclick="window.location.reload()">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="d-none" id="div-aguarde" style="text-align: center">
                        <h5 style="font-weight: normal;" class="mt-3 mb-0">
                            <div class="material-icons" style="color: darkgreen; font-size: 2em;">
                                hourglass_full
                            </div>
                            <div>Aguarde, carregando...</div>
                        </h5>
                        <br><br><br><br>
                    </div>
                
                    <video id="preview" class="col-md-12"></video>
                </div>
            </div>
        </div>
    </div>

    <button id="botao" style="display: none;" onclick="cliquei()"></button>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>

<script type="text/javascript" src="<?php echo e(url('js/jquery.min.js')); ?>"></script>
<script type="text/javascript" src="<?php echo e(url('js/QRCode.js')); ?>"></script>
<script type="text/javascript" src="<?php echo e(url('js/instascan.min.js')); ?>"></script>

<script>    
    
    <?php foreach($cartoes as $i => $cartao): ?>
        new QRCode("view-qrcode-<?php echo e($i+1); ?>", {
            text: '<?php echo e($cartao->codigo); ?>',
            width: 60,
            height: 60,
            colorDark: "black",
            colorLight: "white",
            correctLevel : QRCode.CorrectLevel.H
        });
    <?php endforeach; ?>


    function lerQrCode() {
        var scanner = new Instascan.Scanner({
            video: document.getElementById('preview')
        });

        scanner.addListener('scan', function(content) {
            scanner.stop();
            $('#div-aguarde').removeClass('d-none');
            document.getElementById('preview').classList.add('d-none');
            window.open(BASE_URL+'cartao/edit/'+content);
        });

        Instascan.Camera.getCameras().then(cameras => 
        {
            if(cameras.length == 1){
                scanner.start(cameras[0]);
            }
            else if(cameras.length > 0){
                scanner.start(cameras[1]);
            }
            else {
                alert("There is no camera on the device!");
            }
        });
    }

    var audio = new Audio(BASE_URL+'beep1second.mp3');

    function play() {
        audio.play();
    }

    function pause(){
        audio.pause();
    }

    function cliquei() {
        play(); pause();
    }

    $('#botao').trigger('click');  //simula a interação com o cliente, já que o audio só é ativado depois de uma interação
        
</script>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.default', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>