<?php $__env->startSection('conteudo'); ?>
<h5>
    Pesquisar Usuários

    <a href="<?php echo e(url('')); ?>" class="material-icons float-right" style="font-size: 1.3em; color: #333;">
    keyboard_backspace
    </a> 
</h5>
<hr>

<form id="form" method="get" action="<?php echo e(url('admin/usuario')); ?>">
    <?php echo e(csrf_field()); ?>

    <div class="row">
        <div class="col-md-6">
            <div class="form-group">
                <label for="nome">Nome</label>
                <input type="text" id="nome" name="nome" value="<?php echo e($nome); ?>" class="form-control form-control-sm">
            </div>
        </div>
        <div class="col-md-6">
            <div class="form-group">
                <label for="email">E-mail</label>
                <input type="email" id="email" name="email" value="<?php echo e($email); ?>" class="form-control form-control-sm">
            </div>
        </div>
    </div>
    <div class="row">
        <div class="form-group">
            <div class="col-md-4 mr-5">
                <button type="submit" id="pesquisar" class="btn btn-primary">Pesquisar</button>
            </div>
        </div>
    </div>
    <div class="row mt-3 justify-content-end mr-1">
        <div class="btn-group btn-group-sm" role="group">
            <button id="novo" type="button" class="btn btn-secondary" onclick="oController.criar(this)" data-url="<?php echo e(url('')); ?>" title="Criar novo" data-toggle="tooltip" data-placement="top">
                <i class="material-icons icone">add</i>
            </button>
            <!--
            <button id="editar" type="button" class="btn btn-secondary" onclick="oController.editar(this)" data-url="<?php echo e(url('')); ?>" title="Edita" data-toggle="tooltip" data-placement="top">
                <i class="material-icons icone">edit</i>
            </button>
            <button id="excluir" type="button" class="btn btn-secondary" onclick="oController.excluir(this)" data-url="<?php echo e(url('')); ?>" title="Remove" data-toggle="tooltip" data-placement="top">
                <i class="material-icons icone">delete</i>
            </button>
            
            <button id="reativar" type="button" class="btn btn-secondary" onclick="oController.reativar(this)" data-url="<?php echo e(url('')); ?>" title="Reativa" data-toggle="tooltip" data-placement="top">
                <i class="material-icons icone">cached</i>
            </button>
            -->
            <a href="<?php echo e(url('admin/perfil')); ?>" class="btn btn-primary">Tela de Perfil</a>
        </div>
    </div>
    <table id="grid" class="table table-striped table-bordered table-hover table-sm" width="100%">
        <thead>
            <tr>
                <th width="">Nome</th>
                <th width="">E-mail</th>
                <th></th>
            </tr> 

            </thead> 
                <tbody>
                    <?php $__currentLoopData = $usuarios; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $user): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                        <td><?php echo e($user->nome); ?></td>
                        <td><?php echo e($user->email); ?></td>
                        <td width="10%">
                            <a href="<?php echo e(url('admin/usuario/editar/'.$user->id)); ?>" class="btn btn-sm btn-primary" title="Edita" data-toggle="tooltip" data-placement="top">
                                <i class="material-icons icone">edit</i>
                            </a>
                            <button id="excluir" type="button" class="btn btn-sm btn-danger" onclick="oController.excluir(<?= $user->id ?>)" title="Remove" data-toggle="tooltip" data-placement="top">
                                <i class="material-icons icone">delete</i>
                            </button>
                        </td>
                    </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </tbody>
    </table>
</form>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('scripts'); ?>
<script src="<?php echo e(asset('js/jquery.min.js')); ?>"></script>
<script src="<?php echo e(asset('js/app/models/Ajax.js')); ?>"></script>
<script src="<?php echo e(asset('js/app/controllers/AdminUsuarioController.js')); ?>"></script>
<!--<?php echo $__env->make('layouts.datatables', ['carregamento_inicial' => true, 'colunas' => ['nome', 'email']], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>-->
<script>
    oController = new AdminUsuarioController();
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.default', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>